var useTableDrag = _ref => {
  let {
    props,
    ctx
  } = _ref;
  const onDragstart = (event, item, index) => {
    ctx.emit('dragstart', event, item, index);
  };
  const onDragend = (event, item, index) => {
    ctx.emit('dragend', event, item, index);
  };
  return {
    onDragstart,
    onDragend,
    beforeDragend: props.beforeDragend
  };
};

export { useTableDrag as default };
